/*
 * BIOS/Flashrom driver for Linux
 *
 * Copyright (C) 1998-2002 Stefan Reinauer <stepan@suse.de>
 *
 */

#include <linux/version.h>
#include <linux/spinlock.h>

#define BIOS_MAJOR	 104
#define BIOS_MAXDEV	   8
#define BIOS_VERSION  "0.3.2"

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,5,0)
#define FDEV		(MINOR(file->f_dentry->d_inode->i_rdev))
#else 
#define FDEV		(minor(file->f_dentry->d_inode->i_rdev))
#endif
#define BIOS_SIZE	((flashchips[flashdevices[FDEV].flashnum].size)*1024)
#define pci_id(dev)	((dev->vendor<<16) | (dev->device))

// #define UTC_BIOS

extern int write;
extern unsigned char *bios;
extern spinlock_t bios_lock;

